Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List customers

GET/workspaces/{organizationId}/customers
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
dueBeforestring

Only customers whose nextStepDueAt is on/before this ISO timestamp

coldstring

cold=true → customers with no nextStepText and no nextStepDueAt

needsHumanstring
externalIdstring

Exact-match lookup by externalId

domainstring

Exact-match lookup by canonical domain (input is normalized first)

limitinteger

Page size, default 500, max 1000

min 1 · max 1000
cursorstring

Opaque page cursor from a previous nextCursor

qstring

Case-insensitive substring match on name, domain, or url

summarystring

summary=1 → light picker rows (id, name, domain, statusId, ownerId, nextStepText, nextStepDueAt, needsHuman, timestamps)

Responses
200

Customer list

customersobject[]required
Show properties
Array of object
Any of:
object
idstringrequired
organizationIdstringrequired
namestringrequired
urlstring | nullrequired
domainstring | nullrequired
bookingUrlstring | nullrequired
notesstring | nullrequired
logoUrlstring | nullrequired
externalIdstring | nullrequired
phonestring | nullrequired
addressstring | nullrequired
verticalstring | nullrequired
neighborhoodstring | nullrequired
sourcestring | nullrequired
sourceSessionIdstring | nullrequired
sourceAgentSlugstring | nullrequired
readinessstring | nullrequired
nextActionstring | nullrequired
fitstring | nullrequired
fitScorenumber | nullrequired
fitStatusstring | nullrequired
processorstring | nullrequired
evidenceUristring | nullrequired
tierIdstring | nullrequired
statusIdstring | nullrequired
ownerIdstring | nullrequired
nextStepTextstring | nullrequired
nextStepDueAtstring | nullrequired
needsHumanboolean | nullrequired
needsHumanReasonstring | nullrequired
priorityScorenumber | nullrequired
customFieldsobjectrequired
createdAtstringrequired
updatedAtstringrequired
object
idstringrequired
namestringrequired
domainstring | nullrequired
statusIdstring | nullrequired
ownerIdstring | nullrequired
nextStepTextstring | nullrequired
nextStepDueAtstring | nullrequired
needsHumanboolean | nullrequired
createdAtstringrequired
updatedAtstringrequired
nextCursorstring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/customers' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "customers": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "url": "string",
      "domain": "string",
      "bookingUrl": "string",
      "notes": "string",
      "logoUrl": "string",
      "externalId": "string",
      "phone": "string",
      "address": "string",
      "vertical": "string",
      "neighborhood": "string",
      "source": "string",
      "sourceSessionId": "string",
      "sourceAgentSlug": "string",
      "readiness": "string",
      "nextAction": "string",
      "fit": "string",
      "fitScore": 0,
      "fitStatus": "string",
      "processor": "string",
      "evidenceUri": "string",
      "tierId": "string",
      "statusId": "string",
      "ownerId": "string",
      "nextStepText": "string",
      "nextStepDueAt": "string",
      "needsHuman": true,
      "needsHumanReason": "string",
      "priorityScore": 0,
      "customFields": {
        "property1": "string",
        "property2": "string"
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "nextCursor": "string"
}

Was this page helpful?